nenoDevelopers
⌘K
v1

Bills & Expenses

Retrieve a bill or expense

GET/bills/{id}

Requires the bills:read scope.

Path parameters

idstring · uuidrequired

Bill UUID.

Responses

200
OK. The bill, including its VAT, lines and line-level ledger accounts when available.
400
Bad request. Malformed request.
401
Unauthorized. Missing, invalid, revoked, or expired API key.
403
Forbidden. The API key lacks a required scope or the creator lacks a required permission.
404
Not found. Resource not found (or not in this workspace).
429
Too many requests. Rate limit exceeded.
Request
curl https://api.neno.build/public/v1/bills/9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9 \
-H "Authorization: Bearer $NENO_API_KEY"
200 OK · application/json
{
"id": "9b2f6c1e-4a7d-4f0e-8c3b-2d51e7a0f4c9",
"vendor": "Coolblue",
"supplierName": "Coolblue B.V.",
"documentNumber": "CB-2026-884120",
"status": "NEEDS_YOUR_ATTENTION",
"processingStatus": "REVIEWED",
"docType": "INVOICE",
"currencyCode": "EUR",
"netAmountMinor": "82562",
"taxTotalMinor": "17338",
"tipTotalMinor": null,
"totalMinor": "99900",
"documentDate": "2026-09-24",
"dueDate": "2026-10-24",
"paidAt": null,
"bookedAt": null,
"createdAt": "2026-09-24T09:30:00Z",
"updatedAt": "2026-09-24T09:30:00Z",
"lineItems": [
{
"description": "Train tickets for client meeting",
"quantity": "1",
"unitPriceMinor": "4840",
"taxRatePercent": "9",
"totalMinor": "4840",
"ledgerAccount": {
"code": "4500",
"name": "Travel expenses"
}
}
],
"taxes": [
{
"ratePercent": "21",
"netAmountMinor": "125000",
"taxAmountMinor": "17338"
}
]
}